i2p.susi.dns

## Class Messages

- java.lang.Object
- - i2p.susi.dns.Messages

    public class Messages
    extends Object

Translate strings for this package.

Since:
  0.7.9

### Constructor Summary

Constructors
Constructor and Description
`Messages()`

### Method Summary

Methods
`String` `_(String key)` lang in routerconsole.lang property, else current locale
`static String` `getString(int n, String s, String p)` translate (ngettext) @since 0.8.7
`static String` `getString(String s)`
`static String` `getString(String s, Object o)`
`static String` `getString(String s, Object o, Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Messages

    public Messages()

### Method Detail

#### _

    public String _(String key)

lang in routerconsole.lang property, else current locale

#### getString

    public static String getString(String s)

#### getString

    public static String getString(String s,
                   Object o)

#### getString

    public static String getString(String s,
                   Object o,
                   Object o2)

#### getString

    public static String getString(int n,
                   String s,
                   String p)

translate (ngettext) @since 0.8.7